Bug 153218 - Make it possible to turn on VIDEO_PRESENTATION_MODE on cocoa platforms
Summary: Make it possible to turn on VIDEO_PRESENTATION_MODE on cocoa platforms
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ada Chan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-01-18 22:10 PST by Ada Chan
Modified: 2016-01-21 10:26 PST (History)
4 users (show)

See Also:


Attachments
Patch (44.02 KB, patch)
2016-01-19 14:26 PST, Ada Chan
no flags Details | Formatted Diff | Diff
Take 2. This time using diff instead of git format-patch. (35.99 KB, patch)
2016-01-19 15:10 PST, Ada Chan
no flags Details | Formatted Diff | Diff
Patch (29.90 KB, patch)
2016-01-20 13:16 PST, Ada Chan
no flags Details | Formatted Diff | Diff
Patch (29.88 KB, patch)
2016-01-20 13:29 PST, Ada Chan
eric.carlson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ada Chan 2016-01-18 22:10:54 PST
Make it possible to turn on VIDEO_PRESENTATION_MODE on cocoa platforms.

<rdar://problem/24171264>
Comment 1 Ada Chan 2016-01-19 14:26:22 PST
Created attachment 269296 [details]
Patch
Comment 2 Ada Chan 2016-01-19 15:10:05 PST
Created attachment 269301 [details]
Take 2. This time using diff instead of git format-patch.

Not sure what's wrong exactly last time.  Trying again using plain diff instead of git format-patch.
Comment 3 Ada Chan 2016-01-20 00:52:30 PST
Comment on attachment 269301 [details]
Take 2. This time using diff instead of git format-patch.

I'll post an updated patch tomorrow.
Comment 4 Ada Chan 2016-01-20 13:16:20 PST
Created attachment 269379 [details]
Patch
Comment 5 WebKit Commit Bot 2016-01-20 13:19:11 PST
Attachment 269379 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/cocoa/WebVideoFullscreenInterface.h:53:  The parameter name "bufferedTime" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 17 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Ada Chan 2016-01-20 13:29:47 PST
Created attachment 269380 [details]
Patch
Comment 7 Eric Carlson 2016-01-21 06:57:44 PST
Comment on attachment 269380 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=269380&action=review

> Source/WebCore/platform/cocoa/WebVideoFullscreenInterface.h:2
> + * Copyright (C) 2014 Apple Inc. All rights reserved.

Nit: probably worth updating this date.

> Source/WebCore/platform/cocoa/WebVideoFullscreenInterface.h:26
> +
> +

Nit: two blank lines aren't necessary.
Comment 8 Ada Chan 2016-01-21 10:24:11 PST
(In reply to comment #7)
> Comment on attachment 269380 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=269380&action=review
> 
> > Source/WebCore/platform/cocoa/WebVideoFullscreenInterface.h:2
> > + * Copyright (C) 2014 Apple Inc. All rights reserved.

Changed to 2014-2016

> 
> Nit: probably worth updating this date.
> 
> > Source/WebCore/platform/cocoa/WebVideoFullscreenInterface.h:26
> > +
> > +
> 
> Nit: two blank lines aren't necessary.

Removed one blank line.

Thanks for the review!
Comment 9 Ada Chan 2016-01-21 10:26:19 PST
Committed:
http://trac.webkit.org/changeset/195412